Skip to main content
GET
/
emails
/
schedule
Get Campaigns
curl --request GET \
  --url https://services.leadconnectorhq.com/emails/schedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "schedules": [
    {
      "name": "Untitled new campaign",
      "repeatAfter": "<string>",
      "id": "<string>",
      "parentId": "<string>",
      "childCount": 123,
      "campaignType": "<string>",
      "bulkActionVersion": "<string>",
      "_id": "<string>",
      "status": "<string>",
      "sendDays": [
        "<string>"
      ],
      "deleted": true,
      "migrated": true,
      "archived": true,
      "hasTracking": true,
      "isPlainText": true,
      "hasUtmTracking": true,
      "enableResendToUnopened": true,
      "locationId": "<string>",
      "templateId": "<string>",
      "templateType": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "__v": 123,
      "documentId": "<string>",
      "downloadUrl": "<string>",
      "templateDataDownloadUrl": "<string>",
      "child": [
        "<string>"
      ]
    }
  ],
  "total": [
    "<string>"
  ],
  "traceId": "<string>"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28
Example:

"2021-07-28"

Query Parameters

locationId
string
required

Location ID to fetch campaigns from

Example:

"ohjiah0wdg3bzmzacvd6"

limit
number

Maximum number of campaigns to return. Defaults to 10, maximum is 100

Example:

"7"

offset
number

Number of campaigns to skip for pagination

Example:

"0"

status
enum<string>
default:active

Filter by schedule status

Available options:
active,
pause,
complete,
cancelled,
retry,
draft,
resend-scheduled,
processing
emailStatus
enum<string>
default:complete

Filter by email delivery status

Available options:
all,
not-started,
paused,
cancelled,
processing,
resumed,
next-drip,
complete,
success,
error,
waiting,
queued,
queueing,
reading,
scheduled
name
string

Filter campaigns by name

Example:

"Black Friday Campaign"

parentId
string

Filter campaigns by parent folder ID

Example:

"folder123"

limitedFields
boolean
default:false

When true, returns only essential campaign fields like id, templateDataDownloadUrl, updatedAt, type, templateType, templateId, downloadUrl and isPlainText. When false, returns complete campaign data including meta information, bulkRequestStatusInfo, ABTestInfo, resendScheduleInfo and all other campaign properties

Example:

"false"

archived
boolean

Filter archived campaigns

Example:

"false"

campaignsOnly
boolean
default:false

Return only campaigns, excluding folders

Example:

"false"

showStats
boolean
default:true

When true, returns campaign statistics including delivered count, opened count, clicked count and revenue if available for the campaign. When false, returns campaign data without statistics.

Example:

"true"

Response

Success

schedules
object[]
required

The list of campaigns

total
string[]
required

The total number of campaigns

traceId
string
required

Trace Id

Last modified on March 4, 2026